Skip to content

/consignments

Consignments

The Consignments API allows sellers to manage consignments, which represent the combination of units at a physical auction location. Consignments are created when a vehicle record is added to an auction or authorized offsite location. Vehicles listed on our online platform, OVE, may have consignments when they also have a record at an auction or authorized offsite location.

This API can be used to retrieve individual consignments, a list of consignments for a single inventory unit, or a complete list of the user's consignments. Details for each method are provided below.

Release Notes

May 2018

Added the "dispositionCode" response field to indicate how vehicle ownership is being transferred; it is used at auction to run reports.

September 2017

Added the "transportations" response field to provide a link to inbound dropoffs associated with the consignment. The link is provided in "transportations.inbound.dropoff.href". This change applies to all methods for retrieving consignments.

Added the "categoryCode" response field. This code is used by manufacturers to group vehicles at auction so that different pricing, repairs, and services may be applied to each group. This change applies to all methods for retrieving consignments.

Added the "categoryCode" and "transportation" fields to the CONSIGNMENTS.CREATED and CONSIGNMENTS.UPDATED events.

URLs and Environments

The base URL for the Consignments API is /consignments. This document describes each method endpoint starting with this base URL.

Actual requests will require the protocol and host URL for one of the Manheim environments:

  • UAT: https://uat.api.manheim.com
  • Production: https://api.manheim.com

See API Access and Environments for more information about Manheim API environments.

Authentication & Authorization

To use this API, you must have a Mashery API Package Key that is active with the inventory:customer scope assigned to it.
When requesting an access token for this API, use the resource owner password credentials grant type, the inventory:customer scope, and your manheim.com credentials for the username and password (note: * the manheim.com credentials must match the environment being accessed*).

The request header must include the Authorization key with a value of Basic followed by your Base64 encoded Mashery key:secret pair. Note that you must Base64 encode your Mashery key:secret. For details of how to do this refer to Preparing the Authorization Header.

AttributeValue
AuthorizationBasic
Content-Typeapplication/x-www-form-urlencoded
grant_typepassword
usernamemanheim.com username (for related environment)
passwordmanheim.com password (for related environment)
scopeinventory:customer

Example cURL:

curl --location --request POST 'https://uat.api.manheim.com/oauth2/token.oauth2' \
--header 'Authorization: Basic aDNod2dtNDQ0NWtqenB0XXXXXXXXXXXXX=' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'grant_type=password' \
--data-urlencode 'username=manheimUsername' \
--data-urlencode 'password=manheimPassword' \
--data-urlencode 'scope=inventory:customer'

For details on how to request a token and additional information on authentication and authorization, please refer to Authentication and Authorization.

Events

Events related to Consignments are published real time. You can subscribe to these events through the Subscriptions API. The following events are available:

Event NameDescription
CONSIGNMENTS.CREATEDVehicle record is created at an auction or an authorized offsite location
CONSIGNMENTS.UPDATEDChanges are made to a consignment, such as a status change
CONSIGNMENTS.CHECKEDINVehicle has been checked in at an auction or an authorized offsite location
CONSIGNMENTS.CHECKEDOUTVehicle has been checked out from an auction or an authorized offsite location

Retrieve a Consignment

Endpoint

GET /consignments/id/ID

In the URL, the "ID" placeholder should be replaced by the ID that Manheim assigned to the consignment.

Description

This method allows a user to retrieve consignments based on the Manheim consignment ID.

Common Return Codes

Response CodeResponse MessagePossible Next Actions
200 OKInformation about the consignment is returnedSuccessful response; no actions necessary
401 UnauthorizedERROR: Developer inactiveAPI token may be malformed or the user does not have access; check the token or contact us for API access
404 Not FoundERROR: Blank body or HTML message contains details about the errorIf the message is blank, consignment ID may be malformed or does not exist; if the message contains an HTML body, the URL may be malformed; check and resubmit
596 596ERROR: Service Not FoundURL or HTTP method may be malformed; check and resubmit

Request Parameters

This method only requires the consignment ID in the URL.

Example JSON Request

GET https://uat.api.manheim.com/consignments/id/cc618422-37de-11e6-8814-33f290b6xxxx

Response Parameters

FieldTypeDescription
hrefStringURL of the consignment
unitObjectContains a block of information about the unit associated with the consignment
unit.hrefStringURL with information about the unit associated to the consignment
checkInDateDateDate the vehicle was checked into the physical auction
statusStringACTIVE, CHECKED_IN, CHECKED_OUT, CANCELLED
operatingLocationObjectContains a block of information about the auction operating location
operatingLocation.hrefStringURL of information about the auction using the Locations API
customerIdIntegerManheim customer ID of the dealer
manheimAccountNumberIntegerManheim account identifier for the customer
updatedOnDateDate the consignment record was last updated in UTC format
createdOnDateDate the consignment record was created in UTC format
dispositionCodeStringCode that indicates how vehicle ownership is being transferred; used at auction to run reports
offsiteBooleanIndicates whether or not vehicle is offsite
categoryCodeStringCode used by manufacturers to group vehicles at an auction
referencedIdObjectContains a block of information about one or more IDs
referenceId.workOrderNumberStringUnique work order number of the consignment at an auction
imagesObjectContains a block of information regarding the images related to a consignment
images.currentObjectContains a block of information regarding the current images related to a consignment
images.current.hrefStringURL with information about the current images for a vehicle related to a consignment
ordersObjectContains a block of information regarding orders related to the consignment
orders.hrefStringURL with information about the pickup order associated with the consignment (always returns regardless if any pickup orders exist)
orders.captureObjectContains information about the capture order associated with the consignment (only returns if a capture order exists)
orders.capture.hrefStringURL with information about the capture order associated with the consignment
orders.conditionObjectContains information about the condition order associated with the consignment (only returns if a condition order exists)
orders.condition.hrefStringURL with information about the condition order associated with the consignment
orders.imagingObjectContains information about the imaging order associated with the consignment (only returns if an imaging order exists)
orders.imaging.hrefStringURL with information about the imaging order associated with the consignment
lifecycleObjectContains a block of information about a series of processing steps that each vehicle goes through as it moves about the system
lifecycle.hrefStringURL with information about a series of processing steps that each vehicle goes through as it moves about the system
offeringsObjectContains a block of information regarding offerings related to a consignment
offerings.hrefStringURL with information about a consignment on the Offerings API (always returns regardless if any offerings exist)
transportationsObjectContains a block of information about various transportation requests (always returns regardless if any transportation requests exist)
transportations.inboundObjectContains a block of information about inbound transportation requests, such as customer dropoffs
transportations.inbound.dropoffObjectContains a block of information about an inbound customer dropoff of a vehicle to an auction
transportations.inbound.dropoff.hrefStringURL for the inbound customer dropoffs related to a consignment

Example JSON Response

The following example shows a response for a consignment with a category code and capture, condition, and imaging orders.

{
    "href": "https://uat.api.manheim.com/consignments/id/dc9af750-868e-11e8-a3d5-45fc7fd7xxxx",
    "unit": {
        "href": "https://uat.api.manheim.com/units/id/b8de5caa-869b-11e8-ac16-252ba189xxxx"
    },
    "checkInDate": "2018-07-16",
    "status": "CHECKED_IN",
    "operatingLocation": {
        "href": "https://uat.api.manheim.com/locations/id/PSM1"
    },
    "customerId": "6464646",
    "manheimAccountNumber": "4949494",
    "updatedOn": "2018-07-17T14:50:16.121Z",
    "createdOn": "2018-07-13T11:21:17.944Z",
    "categoryCode": "RCT",
    "dispositionCode": "16",
    "offsite": false,
    "lifecycle": {
        "href": "https://uat.api.manheim.com/lifecycles/unit/id/bf5ebb71-4419-40c7-a395-7740eb5f714a"
    },
    "referenceId": {
        "workOrderNumber": "9696969"
    },
    "images": {
        "current": {
            "href": "https://uat.api.manheim.com/images/current/consignment/dc9af750-868e-11e8-a3d5-45fc7fd7xxxx"
        }
    },
    "orders": {
        "href": "https://uat.api.manheim.com/orders/consignment/dc9af750-868e-11e8-a3d5-45fc7fd7xxxx",
        "condition": {
            "href": "https://uat.api.manheim.com/orders/condition/consignment/dc9af750-868e-11e8-a3d5-45fc7fd7xxxx"
        },
        "capture": {
            "href": "https://uat.api.manheim.com/orders/capture/consignment/dc9af750-868e-11e8-a3d5-45fc7fd7xxxx"
        },
        "imaging": {
            "href": "https://uat.api.manheim.com/orders/imaging/consignment/dc9af750-868e-11e8-a3d5-45fc7fd7xxxx"
        }
    },
    "offerings": {
        "href": "https://uat.api.manheim.com/offerings/consignment/dc9af750-868e-11e8-a3d5-45fc7fd7xxxx"
    },
    "transportations": {
        "inbound": {
            "dropoff": {
                "href": "https://uat.api.manheim.com/transportations/inbound/dropoff/consignment/dc9af750-868e-11e8-a3d5-45fc7fd7xxxx"
            }
        }
    }
}

Internal Only: Example of a response to a request that includes the "with_fields" parameter, as shown in "Example JSON Request". Note that the "sblu" and vehicle" fields are included in the response.

{
    "href": "https://uat.api.manheim.com/consignments/id/dc9af750-868e-11e8-a3d5-45fc7fd7xxxx",
    "unit": {
        "href": "https://uat.api.manheim.com/units/id/b8de5caa-869b-11e8-ac16-252ba189xxxx"
    },
    "checkInDate": "2018-07-16",
    "status": "CHECKED_IN",
    "operatingLocation": {
        "href": "https://uat.api.manheim.com/locations/id/PSM1"
    },
    "customerId": "6161616",
    "manheimAccountNumber": "4949494",
    "updatedOn": "2018-07-17T14:50:16.121Z",
    "createdOn": "2018-07-13T11:21:17.944Z",
    "categoryCode": "RCT",
    "dispositionCode": "16",
    "offsite": false,
    "lifecycle": {
        "href": "https://uat.api.manheim.com/lifecycles/unit/id/bf5ebb71-4419-40c7-a395-7740eb5f086d"
    },
    "referenceId": {
        "workOrderNumber": "9669669",
        "sblu": "12121212"
    },
    "vehicle": {
        "serialNumber": "1FMCU0G76FUC6AAAA",
        "href": "https://uat.api.manheim.com/vehicles/id/f52f53ba-f58c-45f9-8a81-cfd028ebxxxx"
    },
    "images": {
        "current": {
            "href": "https://uat.api.manheim.com/images/current/consignment/dc9af750-868e-11e8-a3d5-45fc7fd7xxxx"
        }
    },
    "orders": {
        "href": "https://uat.api.manheim.com/orders/consignment/dc9af750-868e-11e8-a3d5-45fc7fd7xxxx",
        "condition": {
            "href": "https://uat.api.manheim.com/orders/condition/consignment/dc9af750-868e-11e8-a3d5-45fc7fd7xxxx"
        },
        "capture": {
            "href": "https://uat.api.manheim.com/orders/capture/consignment/dc9af750-868e-11e8-a3d5-45fc7fd7xxxx"
        },
        "imaging": {
            "href": "https://uat.api.manheim.com/orders/imaging/consignment/dc9af750-868e-11e8-a3d5-45fc7fd7xxxx"
        }
    },
    "offerings": {
        "href": "https://uat.api.manheim.com/offerings/consignment/dc9af750-868e-11e8-a3d5-45fc7fd7xxxx"
    },
    "notes": {
        "href": "https://uat.api.manheim.com/notes/consignment/dc9af750-868e-11e8-a3d5-45fc7fd7xxxx"
    },
    "transportations": {
        "inbound": {
            "dropoff": {
                "href": "https://uat.api.manheim.com/transportations/inbound/dropoff/consignment/dc9af750-868e-11e8-a3d5-45fc7fd7xxxx"
            }
        }
    }
}

Retrieve Consignments for an Inventory Unit

Endpoint

GET /consignments/unit/ID

In the URL, the "ID" placeholder should be replaced by the ID that Manheim assigned to the consignment.

Description

This method allows a user to retrieve all consignments related to a unit.

Filtering the list is not supported at this time.

Common Return Codes

Response CodeResponse MessagePossible Next Actions
200 OKInformation about the consignment(s) is returnedSuccessful response; no actions necessary
401 UnauthorizedERROR: Developer inactiveAPI token may be malformed or the user does not have access; check the token or contact us for API access
404 Not FoundERROR: HTML message contains details about the errorURL may be malformed; check and resubmit
596 596ERROR: Service Not FoundURL or HTTP method may be malformed; check and resubmit

Request Parameters

The "ID" at the end of the URL should be replaced with the ID Manheim assigned to the unit.

This method accepts query string parameter(s) from the following table.

ParameterTypeRequirementDescription
limitIntegerOPTIONALNumber of items returned on a single page, with a default of "25"
directionStringOPTIONALDetails the page of the request, may be "next" or "previous"
idStringREQUIRED if using "direction" parameterID of the page

Example JSON Request

The following is an example of a request without any query string parameters.

GET https://uat.api.manheim.com/consignments/unit/bbac75e4-397b-11e6-8e55-17564e86aaaa

The following example adds the use of optional query string parameters.

GET https://uat.api.manheim.com/consignments/unit/bbac75e4-397b-11e6-8e55-17564e86aaaa?direction=next&id=94568f1e-397d-11e6-a0bc-3b93fdb3aaaa&limit=1

Response Parameters

This method returns the fields from the method "Retrieve a Consignment" as a block of information under the "items" field. Additional fields in the response are detailed in the following table.

FieldTypeDescription
hrefStringURL of the request
items-Contains a block of information regarding one or more consignment(s)
limitIntegerNumber of items returned on a single page; default of "25"
next-Contains a block of information about the subsequent page
next.hrefStringURL of the subsequent page, including the "id"
previous-Contains a block of information about the former page
previous.hrefStringURL of the former page, including the "id"
first-Contains a block of information about the beginning page
first.hrefStringURL of the beginning page, including the "id"

Example JSON Response

The following example response shows that two consignments are associated with the unit specified in the request.

{
    "href": "https://uat.api.manheim.com/consignments/unit/46781f36-a9cc-11e7-a277-59a4beb8aaaa",
    "items": [
        {
            "href": "https://uat.api.manheim.com/consignments/id/48be4d60-a9cc-11e7-82d4-63ceddc5aaaa",
            "unit": {
                "href": "https://uat.api.manheim.com/units/id/46781f36-a9cc-11e7-a277-59a4beb8aaaa"
            },
            "status": "ACTIVE",
            "operatingLocation": {
                "href": "https://uat.api.manheim.com/locations/id/PSM1"
            },
            "customerId": "4444444",
            "manheimAccountNumber": "4949494",
            "updatedOn": "2017-10-05T12:54:18.585Z",
            "createdOn": "2017-10-05T12:54:11.697Z",
            "categoryCode": "ABC",
            "dispositionCode": "28",
            "lifecycle": {
                "href": "https://uat.api.manheim.com/lifecycles/unit/id/bf5ebb71-4419-40c7-a395-7740eb5f197e"
            },
            "referenceId": {
                "workOrderNumber": "4444444"
            },
            "orders": {
                "href": "https://uat.api.manheim.com/orders/consignment/48be4d60-a9cc-11e7-82d4-63ceddc5aaaa"
            },
            "offerings": {
                "href": "https://uat.api.manheim.com/offerings/consignment/48be4d60-a9cc-11e7-82d4-63ceddc5aaaa"
            },
            "transportations": {
                "inbound": {
                    "dropoff": {
                        "href": "https://uat.api.manheim.com/transportations/inbound/dropoff/consignment/48be4d60-a9cc-11e7-82d4-63ceddc5aaaa"
                    }
                }
            }
        },
        {
            "href": "https://uat.api.manheim.com/consignments/id/473ab7d0-a9cc-11e7-8a02-61e5ab8faaaa",
            "unit": {
                "href": "https://uat.api.manheim.com/units/id/46781f36-a9cc-11e7-a277-59a4beb8aaaa"
            },
            "status": "ACTIVE",
            "operatingLocation": {
                "href": "https://uat.api.manheim.com/locations/id/PSM1"
            },
            "customerId": "4444444",
            "manheimAccountNumber": "4949494",
            "updatedOn": "2017-10-05T12:54:18.443Z",
            "createdOn": "2017-10-05T12:54:09.157Z",
            "categoryCode": "ABC",
            "dispositionCode": "16",
            "lifecycle": {
                "href": "https://uat.api.manheim.com/lifecycles/unit/id/bf5ebb71-4419-40c7-a395-7740eb5f204c"
            },
            "referenceId": {
                "workOrderNumber": "4444444"
            },
            "orders": {
                "href": "https://uat.api.manheim.com/orders/consignment/473ab7d0-a9cc-11e7-8a02-61e5ab8faaaa"
            },
            "offerings": {
                "href": "https://uat.api.manheim.com/offerings/consignment/473ab7d0-a9cc-11e7-8a02-61e5ab8faaaa"
            },
            "transportations": {
                "inbound": {
                    "dropoff": {
                        "href": "https://uat.api.manheim.com/transportations/inbound/dropoff/consignment/473ab7d0-a9cc-11e7-8a02-61e5ab8faaaa"
                    }
                }
            }
        }
    ],
    "limit": 25
}}
}

Retrieve Consignments by Lifecycle ID

Endpoint

GET /consignments/lifecycles/unit/LIFECYCLE_ID

In the URL, the "LIFECYCLE_ID" placeholder should be replaced by the ID that Manheim assigned to the lifecycle.

Description

This method allows a user to retrieve all consignments related to a given lifecylce ID.

Common Return Codes

Response CodeResponse MessagePossible Next Actions
200 OKInformation about the consignment(s) is returnedSuccessful response; no actions necessary
401 UnauthorizedERROR: Developer inactiveAPI token may be malformed or the user does not have access; check the token or contact us for API access
404 Not FoundERROR: HTML message contains details about the errorURL may be malformed; check and resubmit
596 596ERROR: Service Not FoundURL or HTTP method may be malformed; check and resubmit

Request Parameters

The "LIFECYCLE_ID" at the end of the URL should be replaced with the ID Manheim assigned to the lifecycle.

Example JSON Request

The following is an example of a request without any query string parameters.

GET https://uat.api.manheim.com/consignments/lifecycles/unit/4a0289c8-ea92-44c3-96d7-8a95fbac0018

Response Parameters

This method returns the fields from the method "Retrieve a Consignment".

Example JSON Response

The following example shows a response for a consignment retrieved by lifecycle ID.

{
  "href": "https://uat.api.manheim.com/consignments/lifecycles/unit/4a0289c8-ea92-44c3-96d7-8a95fbac0018",
  "items": [
    {
      "href": "https://uat.api.manheim.com/consignments/id/ea4b6b56-79f5-11ec-9fc4-439f30f37b03",
      "unit": {
        "href": "https://uat.api.manheim.com/units/id/024df3e4-7984-11ec-8baf-333ace0895c2"
      },
      "status": "ACTIVE",
      "operatingLocation": {
        "href": "https://uat.api.manheim.com/locations/id/QLM1"
      },
      "customerId": "485886",
      "manheimAccountNumber": "5331999",
      "updatedOn": "2022-01-20T13:36:04.746Z",
      "createdOn": "2022-01-20T13:36:04.746Z",
      "offsite": false,
      "lifecycle": {
        "href": "https://uat.api.manheim.com/lifecycles/unit/id/4a0289c8-ea92-44c3-96d7-8a95fbac0018"
      },
      "referenceId": {
        "workOrderNumber": "7309241"
      },
      "orders": {
        "href": "https://uat.api.manheim.com/orders/consignment/ea4b6b56-79f5-11ec-9fc4-439f30f37b03"
      },
      "offerings": {
        "href": "https://uat.api.manheim.com/offerings/consignment/ea4b6b56-79f5-11ec-9fc4-439f30f37b03"
      },
      "transportations": {
        "inbound": {
          "dropoff": {
            "href": "https://uat.api.manheim.com/transportations/inbound/dropoff/consignment/ea4b6b56-79f5-11ec-9fc4-439f30f37b03"
          }
        }
      }
    }
  ],
  "limit": 25
}

Retrieve All My Consignments

API consumers may also retrieve a complete list of their inventory units. Each consumer may paginate the list through a defined set of parameters.

Filtering the list is not supported at this time.

Endpoint

GET /consignments/mine

Description

This method allows a user to retrieve all of the consignments related to their associated account.

Common Return Codes

Response CodeResponse MessagePossible Next Actions
200 OKInformation about the consignment(s) is returnedSuccessful response; no actions necessary
401 UnauthorizedERROR: Developer inactiveAPI token may be malformed or the user does not have access; check the token or contact us for API access
404 Not FoundERROR: Blank body or HTML message contains details about the errorIf the message is blank, consignment ID may be malformed or does not exist; if the message contains an HTML body, the URL may be malformed; check and resubmit
596 596ERROR: Service Not FoundURL or HTTP method may be malformed; check and resubmit

Request Parameters

This method only requires a user to have their Manheim account associated to their API token.

Example JSON Request

GET https://uat.api.manheim.com/consignments/mine

Response Parameters

This method returns the fields from the method "Retrieve a Consignment" as a block of information under the "items" field. Additional fields in the response are detailed in the following table.

FieldTypeDescription
itemsObjectContains a block of information about one or more consignment(s); the fields for each block of information may be found in the table below
hrefStringURL of the current page of consignment information
limitIntegerNumber of items returned on a single page; default of "25"
nextObjectContains a block of information about the subsequent page
next.hrefStringURL of the subsequent page, including the "id"
previousObjectContains a block of information about the former page
previous.hrefStringURL of the former page, including the "id"
firstObjectContains a block of information about the beginning page
first.hrefStringURL of the beginning page, including the "id"

Example JSON Response

{
    "href": "https://uat.api.manheim.com/consignments/mine?limit=2",
    "items": [
        {
            "href": "https://uat.api.manheim.com/consignments/id/ed43a13c-b03e-11e7-8d57-194ac982aaaa",
            "unit": {
                "href": "https://uat.api.manheim.com/units/id/ec6dd57a-b03e-11e7-8424-4fb1f47faaaa"
            },
            "checkInDate": "2017-05-10",
            "status": "CHECKED_IN",
            "operatingLocation": {
                "href": "https://uat.api.manheim.com/locations/id/PSM1"
            },
            "customerId": "1234567",
            "manheimAccountNumber": "4949494",
            "updatedOn": "2017-10-13T17:50:00.061Z",
            "categoryCode": "ABC",
            "dispositionCode": "28",
            "createdOn": "2017-10-13T17:49:57.403Z",
            "lifecycle": {
                "href": "https://uat.api.manheim.com/lifecycles/unit/id/bf5ebb71-4419-40c7-a395-7740eb5f391e"
            },
            "referenceId": {
                "workOrderNumber": "1234567"
            },
            "orders": {
                "href": "https://uat.api.manheim.com/orders/consignment/ed43a13c-b03e-11e7-8d57-194ac982aaaa"
            },
            "offerings": {
                "href": "https://uat.api.manheim.com/offerings/consignment/ed43a13c-b03e-11e7-8d57-194ac982aaaa"
            },
            "transportations": {
                "inbound": {
                    "dropoff": {
                        "href": "https://uat.api.manheim.com/transportations/inbound/dropoff/consignment/ed43a13c-b03e-11e7-8d57-194ac982aaaa"
                    }
                }
            }
        },
        {
            "href": "https://uat.api.manheim.com/consignments/id/c1b2c886-b03e-11e7-8673-41248a3caaaa",
            "unit": {
                "href": "https://uat.api.manheim.com/units/id/c136774a-b03e-11e7-853b-790741f4aaaa"
            },
            "status": "ACTIVE",
            "operatingLocation": {
                "href": "https://uat.api.manheim.com/locations/id/PSM1"
            },
            "customerId": "1234567",
            "manheimAccountNumber": "4949494",
            "updatedOn": "2017-10-13T17:48:44.243Z",
            "createdOn": "2017-10-13T17:48:44.243Z",
            "categoryCode": "ABC",
            "dispositionCode": "28",
            "lifecycle": {
                "href": "https://uat.api.manheim.com/lifecycles/unit/id/bf5ebb71-4419-40c7-a395-7740eb5f305f"
            },
            "referenceId": {
                "workOrderNumber": "1234567"
            },
            "orders": {
                "href": "https://uat.api.manheim.com/orders/consignment/c1b2c886-b03e-11e7-8673-41248a3caaaa"
            },
            "offerings": {
                "href": "https://uat.api.manheim.com/offerings/consignment/c1b2c886-b03e-11e7-8673-41248a3caaaa"
            },
            "transportations": {
                "inbound": {
                    "dropoff": {
                        "href": "https://uat.api.manheim.com/transportations/inbound/dropoff/consignment/c1b2c886-b03e-11e7-8673-41248a3caaaa"
                    }
                }
            }
        }
    ],
    "limit": 2,
    "next": {
        "href": "https://uat.api.manheim.com/consignments/mine?direction=next&id=c1b2c886-b03e-11e7-8673-41248a3caaaa&limit=2"
    }
}

This method returns a response similar to the method, "Retrieve a Consignment."

{
    "href": "https://uat.api.manheim.com/consignments/id/dc9af750-868e-11e8-a3d5-45fc7fd7xxxx",
    "unit": {
        "href": "https://uat.api.manheim.com/units/id/b8de5caa-869b-11e8-ac16-252ba189xxxx"
    },
    "checkInDate": "2018-07-16",
    "status": "CHECKED_IN",
    "operatingLocation": {
        "href": "https://uat.api.manheim.com/locations/id/PSM1"
    },
    "customerId": "6161616",
    "manheimAccountNumber": "4949494",
    "updatedOn": "2018-07-17T14:50:16.121Z",
    "createdOn": "2018-07-13T11:21:17.944Z",
    "categoryCode": "RCT",
    "dispositionCode": "16",
    "offsite": false,
    "lifecycle": {
        "href": "https://uat.api.manheim.com/lifecycles/unit/id/bf5ebb71-4419-40c7-a395-7740eb5f511a"
    },
    "referenceId": {
        "workOrderNumber": "9696969"
    },
    "images": {
        "current": {
            "href": "https://uat.api.manheim.com/images/current/consignment/dc9af750-868e-11e8-a3d5-45fc7fd7xxxx"
        }
    },
    "orders": {
        "href": "https://uat.api.manheim.com/orders/consignment/dc9af750-868e-11e8-a3d5-45fc7fd7xxxx",
        "condition": {
            "href": "https://uat.api.manheim.com/orders/condition/consignment/dc9af750-868e-11e8-a3d5-45fc7fd7xxxx"
        },
        "capture": {
            "href": "https://uat.api.manheim.com/orders/capture/consignment/dc9af750-868e-11e8-a3d5-45fc7fd7xxxx"
        },
        "imaging": {
            "href": "https://uat.api.manheim.com/orders/imaging/consignment/dc9af750-868e-11e8-a3d5-45fc7fd7xxxx"
        }
    },
    "offerings": {
        "href": "https://uat.api.manheim.com/offerings/consignment/dc9af750-868e-11e8-a3d5-45fc7fd7xxxx"
    },
    "notes": {
        "href": "https://uat.api.manheim.com/notes/consignment/dc9af750-868e-11e8-a3d5-45fc7fd7xxxx"
    },
    "transportations": {
        "inbound": {
            "dropoff": {
                "href": "https://uat.api.manheim.com/transportations/inbound/dropoff/consignment/dc9af750-868e-11e8-a3d5-45fc7fd7xxxx"
            }
        }
    }
}

Event Message Examples

The following examples show JSON event messages related to Consignments. You can receive these events using the Subscriptions API.

CONSIGNMENTS.CREATED

{
  "subscriber": {
    "href": "https://uat.api.manheim.com/subscribers/id/c34582a6-4ae0-11e7-b89c-078d6eda2fe7"
  },
  "href": "https://uat.api.manheim.com/events/id/8aff60a0-9af5-11ec-b5f5-4fa5dcf44ac7",
  "eventType": "CONSIGNMENTS.CREATED",
  "subscription": {
    "href": "https://uat.api.manheim.com/subscriptions/id/00fddb012293fad46fbc5a8f7b63e2e8"
  },
  "body": {
    "href": "https://uat.api.manheim.com/consignments/id/8ad8fae6-9af5-11ec-954d-0de3513ce1ec",
    "unit": {
      "href": "https://uat.api.manheim.com/units/id/81266fb0-9af5-11ec-b978-4128c1d6cf86"
    },
    "status": "ACTIVE",
    "operatingLocation": {
      "href": "https://uat.api.manheim.com/locations/id/JAX"
    },
    "customerId": "219000",
    "manheimAccountNumber": "5xxxxxx",
    "updatedOn": "2022-03-03T13:26:32.881Z",
    "createdOn": "2022-03-03T13:26:32.881Z",
    "offsite": false,
    "lifecycle": {
      "href": "https://uat.api.manheim.com/lifecycles/unit/id/b0e8271c-48a3-475a-bf8a-d19108c7d0c9"
    },
    "referenceId": {
      "workOrderNumber": "1102715"
    },
    "orders": {
      "href": "https://uat.api.manheim.com/orders/consignment/8ad8fae6-9af5-11ec-954d-0de3513ce1ec"
    },
    "offerings": {
      "href": "https://uat.api.manheim.com/offerings/consignment/8ad8fae6-9af5-11ec-954d-0de3513ce1ec"
    },
    "transportations": {
      "inbound": {
        "dropoff": {
          "href": "https://uat.api.manheim.com/transportations/inbound/dropoff/consignment/8ad8fae6-9af5-11ec-954d-0de3513ce1ec"
        }
      }
    }
  },
  "createdOn": "2022-03-03T13:26:33.130Z"
}

CONSIGNMENTS.UPDATED

{
  "subscriber": {
    "href": "https://uat.api.manheim.com/subscribers/id/c34582a6-4ae0-11e7-b89c-078d6eda2fe7"
  },
  "href": "https://uat.api.manheim.com/events/id/56bdbd80-14cd-11ed-a2d0-6331c9c9008a",
  "eventType": "CONSIGNMENTS.UPDATED",
  "subscription": {
    "href": "https://uat.api.manheim.com/subscriptions/id/00fddb012293fad46fbc5a8f7b63e2e8"
  },
  "body": {
    "href": "https://uat.api.manheim.com/consignments/id/fde1ab4e-9af7-11ec-9bd2-598a6676a9c0",
    "unit": {
      "href": "https://uat.api.manheim.com/units/id/fd621eba-9af7-11ec-8d33-7923283b692c"
    },
    "status": "ACTIVE",
    "operatingLocation": {
      "href": "https://uat.api.manheim.com/locations/id/DFWA"
    },
    "customerId": "12386000",
    "manheimAccountNumber": "5xxxxxx",
    "updatedOn": "2022-03-03T13:44:24.707Z",
    "createdOn": "2022-03-03T13:44:04.870Z",
    "offsite": false,
    "lifecycle": {
      "href": "https://uat.api.manheim.com/lifecycles/unit/id/6c8ebd4a-f638-4e47-ac25-a0619db2dc22"
    },
    "referenceId": {
      "workOrderNumber": "4710440"
    },
    "orders": {
      "href": "https://uat.api.manheim.com/orders/consignment/fde1ab4e-9af7-11ec-9bd2-598a6676a9c0"
    },
    "offerings": {
      "href": "https://uat.api.manheim.com/offerings/consignment/fde1ab4e-9af7-11ec-9bd2-598a6676a9c0"
    },
    "transportations": {
      "inbound": {
        "dropoff": {
          "href": "https://uat.api.manheim.com/transportations/inbound/dropoff/consignment/fde1ab4e-9af7-11ec-9bd2-598a6676a9c0"
        }
      }
    }
  },
  "createdOn": "2022-03-03T13:44:25.501Z"
}

CONSIGNMENTS.CHECKEDIN

{
  "subscriber": {
    "href": "https://uat.api.manheim.com/subscribers/id/09c5795e-133e-11ed-90bd-57547a467b24"
  },
  "href": "https://uat.api.manheim.com/events/id/fa2cd174-1728-11ed-bd8f-57228acc89f5",
  "eventType": "CONSIGNMENTS.CHECKEDIN",
  "subscription": {
    "href": "https://uat.api.manheim.com/subscriptions/id/3010a0f7dbfec25f9e951265d91920cf"
  },
  "body": {
    "href": "https://uat.api.manheim.com/consignments/id/d6bc0306-9af8-11ec-be37-7163da7c16dd",
    "unit": {
      "href": "https://uat.api.manheim.com/units/id/8ccac36c-9a3b-11ec-b98b-657ab6b48dc0",
      "owner": {
        "href": "https://uat.api.manheim.com/contacts/id/76171653-a76c-49d2-9dd2-09d996db7de4/company"
      },
      "type": "PASSENGER_VEHICLE",
      "vin": "1FM5K8D8XKGA06778",
      "description": {
        "modelYear": 2019,
        "make": "FORD",
        "model": "EXPLORER 4WD V6",
        "trim": "XLT",
        "interiorColor": {
          "description": "Brown"
        },
        "exteriorColor": {
          "description": "Gray"
        },
        "engine": {
          "type": "6_CYLINDER"
        },
        "odometer": {
          "reading": 35877,
          "units": "MILES",
          "digits": 0
        },
        "transmission": "AUTOMATIC",
        "driveType": "4_WHEEL_DRIVE"
      }
    },
    "checkInDate": "2022-03-03",
    "status": "CHECKED_IN",
    "operatingLocation": {
      "href": "https://uat.api.manheim.com/locations/id/DETA"
    },
    "customerId": "220000",
    "manheimAccountNumber": "5xxxxxx",
    "updatedOn": "2022-03-03T13:50:12.761Z",
    "createdOn": "2022-03-03T13:50:08.689Z",
    "offsite": false,
    "lifecycle": {
      "href": "https://uat.api.manheim.com/lifecycles/unit/id/cb30d141-6ab5-41de-906e-0043928918b7"
    },
    "referenceId": {
      "workOrderNumber": "4183784",
      "workOrder": "4183784"
    },
    "orders": {
      "href": "https://uat.api.manheim.com/orders/consignment/d6bc0306-9af8-11ec-be37-7163da7c16dd"
    },
    "offerings": {
      "href": "https://uat.api.manheim.com/offerings/consignment/d6bc0306-9af8-11ec-be37-7163da7c16dd"
    },
    "transportations": {
      "inbound": {
        "dropoff": {
          "href": "https://uat.api.manheim.com/transportations/inbound/dropoff/consignment/d6bc0306-9af8-11ec-be37-7163da7c16dd"
        }
      }
    },
    "type": "CONSIGNMENTS.CHECKEDIN"
  },
  "createdOn": "2022-03-03T13:50:00.302Z"
}

CONSIGNMENTS.CHECKEDOUT

{
  "subscriber": {
    "href": "https://uat.api.manheim.com/subscribers/id/09c5795e-133e-11ed-90bd-57547a467b24"
  },
  "href": "https://uat.api.manheim.com/events/id/f98df0a4-1728-11ed-ade0-2da2a8fba468",
  "eventType": "CONSIGNMENTS.CHECKEDOUT",
  "subscription": {
    "href": "https://uat.api.manheim.com/subscriptions/id/3010a0f7dbfec25f9e951265d91920cf"
  },
  "body": {
    "href": "https://uat.api.manheim.com/consignments/id/60e2f468-98ba-11ec-bc7f-59dd5f0c63e4",
    "unit": {
      "href": "https://uat.api.manheim.com/units/id/4f54eefe-98ba-11ec-9bb2-5beb1a672b05"
    },
    "checkInDate": "2022-02-28",
    "checkOutDate": "2022-03-03",
    "status": "CHECKED_OUT",
    "operatingLocation": {
      "href": "https://uat.api.manheim.com/locations/id/FAAO"
    },
    "customerId": "9573000",
    "manheimAccountNumber": "5xxxxxx",
    "updatedOn": "2022-03-03T13:54:42.530Z",
    "createdOn": "2022-02-28T17:17:59.851Z",
    "offsite": false,
    "lifecycle": {
      "href": "https://uat.api.manheim.com/lifecycles/unit/id/9e288c89-8c3c-4737-9ec4-76e7c6740df5"
    },
    "referenceId": {
      "workOrderNumber": "4857199",
      "workOrder": "4857199"
    },
    "images": {
      "current": {
        "href": "https://uat.api.manheim.com/images/current/consignment/60e2f468-98ba-11ec-bc7f-59dd5f0c63e4"
      }
    },
    "orders": {
      "href": "https://uat.api.manheim.com/orders/consignment/60e2f468-98ba-11ec-bc7f-59dd5f0c63e4",
      "condition": {
        "href": "https://uat.api.manheim.com/orders/condition/consignment/60e2f468-98ba-11ec-bc7f-59dd5f0c63e4"
      },
      "imaging": {
        "href": "https://uat.api.manheim.com/orders/imaging/consignment/60e2f468-98ba-11ec-bc7f-59dd5f0c63e4"
      },
      "capture": {
        "href": "https://uat.api.manheim.com/orders/capture/consignment/60e2f468-98ba-11ec-bc7f-59dd5f0c63e4"
      }
    },
    "offerings": {
      "href": "https://uat.api.manheim.com/offerings/consignment/60e2f468-98ba-11ec-bc7f-59dd5f0c63e4"
    },
    "transportations": {
      "inbound": {
        "dropoff": {
          "href": "https://uat.api.manheim.com/transportations/inbound/dropoff/consignment/60e2f468-98ba-11ec-bc7f-59dd5f0c63e4"
        }
      }
    },
    "type": "CONSIGNMENTS.CHECKEDOUT"
  },
  "createdOn": "2022-02-28T17:18:00.512Z"
}

Revised 8/12/2022